[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# FileRec

Untyped file type

## Declaration

Source position: filerec.inc line 32

`type FileRec = record`
`Handle: THandle;` |  | OS file handle
`Mode: LongInt;` |  | File open mode
`RecSize: SizeInt;` |  | Record size
`_private: array [1..3*SizeOf(SizeInt)+5*SizeOf(pointer)] of Byte;` |  | Private field
`UserData: array [1..32] of Byte;` |  | User data for use in custom file types
`name: array [0..filerecnamelength] of TFileTextRecChar;` |  | File name
`end;`

## Description

FileRec is the underlying type used in untyped files. It should be treated as opaque and never manipulated directly.

## See also

TextRec |  | Text file type
Assign |  | Assign a name to a file
Reset |  | Open file for reading
Close |  | Close a file
Rewrite |  | Open file for writing